Testgeräte-API
createTestDevice
Anchor link toRegistriert ein Testgerät für die Anwendung.
POST https://api.pushwoosh.com/json/1.3/createTestDevice
Request-Body
Anchor link to| Name | Typ | Beschreibung |
|---|---|---|
| application* | string | Pushwoosh-Anwendungscode |
| push_token | string | Push-Token des Geräts. Erforderlich, wenn hwid nicht angegeben ist. |
| hwid | string | Hardware-ID (HWID) des Geräts. Erforderlich, wenn push_token nicht angegeben ist. |
| device_type* | integer | Gerätetyp. Mögliche Werte finden Sie in der Methode /registerDevice. |
| name* | string | Name des Testgeräts. |
| description | string | Beschreibung des Testgeräts. |
{ "status_code": 200, "status_message": "OK", "response": null}{ "request": { "application": "XXXXX-XXXXX", // required. Pushwoosh application code "push_token": "DEVICE_PUSH_TOKEN", // required if hwid is not provided. "device_type": 1, // required. Refer to /registerDevice for device types "name": "TEST_DEVICE_1", // required. Test device name "description": "android test device" // optional. Test device description }}listTestDevices
Anchor link toGibt alle Testgeräte für die spezifische Anwendung zurück.
POST https://api.pushwoosh.com/json/1.3/listTestDevices
Request-Body
Anchor link to| Name | Typ | Beschreibung |
|---|---|---|
| auth* | string | API-Zugriffstoken aus dem Pushwoosh Control Panel. |
| application* | string | Pushwoosh-Anwendungscode |
{ "status_code": 200, "status_message": "OK", "response": { "TestDevices": [{ "name": "iosDevice", "type": "1", "pushtoken": "token", "description": "ios device" }] }}{ "request": { "auth": "yxoPUlwqm…………pIyEX4H", // required. API access token from Pushwoosh Control Panel "application": "XXXXX-XXXXX" // required. Pushwoosh application code }}Informationen zu Gerätetypen finden Sie unter /registerDevice.